org.apache.directory.mavibot.btree.exception

## Class BTreeOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.directory.mavibot.btree.exception.BTreeOperationException

- All Implemented Interfaces:
    Serializable

      public class BTreeOperationException
      extends RuntimeException

  An exception thrown when an operation on a BTree failed
  Author:
    Apache Directory Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BTreeOperationException()` Creates a new instance of BTreeOperationException.
    `BTreeOperationException(String explanation)` Creates a new instance of BTreeOperationException.
    `BTreeOperationException(String explanation, Throwable cause)` Creates a new instance of BTreeOperationException.
    `BTreeOperationException(Throwable cause)` Creates a new instance of BTreeOperationException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BTreeOperationException

          public BTreeOperationException()

      Creates a new instance of BTreeOperationException.

    - #### BTreeOperationException

          public BTreeOperationException(String explanation)

      Creates a new instance of BTreeOperationException.
      Parameters:
        `explanation` - The message associated with the exception

    - #### BTreeOperationException

          public BTreeOperationException(Throwable cause)

      Creates a new instance of BTreeOperationException.

    - #### BTreeOperationException

          public BTreeOperationException(String explanation,
                                 Throwable cause)

      Creates a new instance of BTreeOperationException.
      Parameters:
        `explanation` - The message associated with the exception
        `cause` - The root cause for this exception

Copyright © 2012–2015 Apache Mavibot Project Parent. All rights reserved.